Summary: Library for generating identicons. Port of Sigil (https://github.com/cupcake/sigil) with enhancements.
Name: python-pydenticon
Version: 0.2
Release: 1%{?dist}.3
Source0: https://pypi.python.org/packages/source/p/pydenticon/pydenticon-%{version}.tar.gz
License: BSD
Group: Development/Libraries
BuildRequires: python-setuptools
BuildRequires: python-mock
BuildRequires: python-pillow
Requires: python-pillow
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Prefix: %{_prefix}
BuildArch: noarch
Vendor: Branko Majic <branko@majic.rs>
Url: https://github.com/azaghal/pydenticon

%description
Pydenticon
==========

Pydenticon is a small utility library that can be used for deterministically
generating identicons based on the hash of provided data.

The implementation is a port of the Sigil identicon implementation from:

* https://github.com/cupcake/sigil/

Pydenticon provides a couple of extensions of its own when compared to the
original Sigil implementation, like:

* Ability to supply custom digest algorithms (allowing for larger identicons if
  digest provides enough entropy).
* Ability to specify a rectangle for identicon size..


%prep
%setup -n pydenticon-%{version}

%build
%{__python} setup.py build

%install
%{__python} setup.py install --single-version-externally-managed -O2 --root=$RPM_BUILD_ROOT --record=INSTALLED_FILES

%check
%{__python} setup.py test

%clean
rm -rf $RPM_BUILD_ROOT

%files -f INSTALLED_FILES
%defattr(-,root,root)
%changelog
* Wed Jul 15 2015 Oleg Girko <ol@infoserver.lv> 0.2-1
- Initial package
